PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- v
- w

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages

### - a -

- Abstract_T : PFactoryTemplate< AbstractClass, ParamType, KeyType > , PFactory< AbstractClass, KeyType > , PParamFactory< AbstractClass, ParamType, KeyType >
- AsyncNotifier : PChannel
- AttribDict : PLDAPStructBase
- attributeList : PLDAPSchema

### - b -

- Base_T : PFactory< AbstractClass, KeyType > , PParamFactory< AbstractClass, ParamType, KeyType > , PDevicePluginFactory< AbstractClass, KeyType >
- BaseClass : PStreamableBitwiseEnum< BaseEnum, MaxValue, BaseInt >
- BindingList : PSNMP

### - c -

- CompletionFunction : PChannel::AsyncContext

### - d -

- data_type : PDictionary< K, D > , PSafeDictionary< K, D >
- dict_type : PSafeDictionary< K, D > , PDictionary< K, D >
- Digest : PSHA1Context

### - e -

- Element : PHashTableInfo , PHashTable , PAbstractList
- element_type : PSharedPtr< T >
- Enumeration : PBitwiseEnum< BaseEnum, MaxValue, BaseInt >
- ExternalToInternalWorkMap_T : PThreadPool< Work_T >

### - f -

- Factory_T : PDevicePluginAdapter< DeviceBase >
- FnType : PThreadMain , PThread2Arg< Arg1Type, Arg2Type > , PThread3Arg< Arg1Type, Arg2Type, Arg3Type > , PThread1Arg< Arg1Type >
- FrameNotifier : PEthSocketThread
- Function : PSafeWorkNoArg< PtrClass, FuncRet > , PSafeWorkArg1< PtrClass, Arg1Type, FuncRet > , PDynaLink , PSafeWorkArg2< PtrClass, Arg1Type, Arg2Type, FuncRet > , PSafeWorkArg3< PtrClass, Arg1Type, Arg2Type, Arg3Type, FuncRet >
- FunctionMap : PScriptLanguage
- FunctionNotifier : PScriptLanguage
- FunctionPtr : PNotifierTemplate< ParamType >

### - g -

- GroupInfoMap_t : PThreadPool< Work_T >

### - i -

- IDType : PTimer
- Initialiser : PString
- IntegerType : PAtomicInteger , PAtomicBase
- InterfaceEntry : PMonitoredSockets , PInterfaceMonitor
- IntType : PBitwiseEnum< BaseEnum, MaxValue, BaseInt >

### - k -

- Key_T : PFactoryTemplate< AbstractClass, ParamType, KeyType > , PFactory< AbstractClass, KeyType > , PParamFactory< AbstractClass, ParamType, KeyType >
- key_type : PDictionary< K, D > , PSafeDictionary< K, D >
- KeyList_T : PFactoryTemplate< AbstractClass, ParamType, KeyType >

### - l -

- ldapAttributes : PLDAPSchema
- ldapBinAttributes : PLDAPSchema
- LocalStorageList : PThread

### - m -

- my_type : PKey< T >

### - n -

- NestMap : PReadWriteMutex
- Notifier : PInterfaceMonitor
- Notifiers : PInterfaceMonitor

### - o -

- ObjTypeFn : PThreadObj< ObjType > , PThreadObj2Arg< ObjType, Arg1Type, Arg2Type > , PThreadObj1Arg< ObjType, Arg1Type >

### - p -

- pair : PDictionary< K, D >::iterator , PDictionary< K, D >::const_iterator
- Param_T : PFactory< AbstractClass, KeyType > , PParamFactory< AbstractClass, ParamType, KeyType > , PFactoryTemplate< AbstractClass, ParamType, KeyType >
- Parent : PPtrVector< ObjClass >
- PluginListType : PPluginModuleManager
- Ptr_T : PThreadLocalStorage< Storage_T >

### - q -

- Queue : PQueuedThreadPool< Work_T >::QueuedWorkerThread

### - r -

- Result : PHMAC
- RowIndex : PODBC

### - s -

- SocketInfoMap_T : PMonitoredSocketBundle

### - t -

- Table : PHashTable , PODBC
- ThreadList : PProcess
- ThreadMap : PProcess

### - v -

- value_type : PKey< T > , PList< T > , PSafeDictionary< K, D > , PSafeSortedList< Base > , PSafeList< Base > , PSafeArray< Base > , PSortedList< T >
- VerifyMode : PSSLChannel

### - w -

- Worker_T : PDevicePluginAdapter< DeviceBase >
- WorkerBase_T : PFactory< AbstractClass, KeyType > , PDevicePluginFactory< AbstractClass, KeyType > , PParamFactory< AbstractClass, ParamType, KeyType >
- WorkerIter_T : PFactoryTemplate< AbstractClass, ParamType, KeyType >
- WorkerList_t : PThreadPoolBase
- WorkerMap_T : PFactoryTemplate< AbstractClass, ParamType, KeyType >